<html id="top">
    <head>
        <title>[ / c / t / r / l / - / c / ]</title>
        <link rel="icon" href="../images/favicon.png">
        <link rel="stylesheet" type="text/css" href="../css/prism.css">
        <link rel="stylesheet" type="text/css" href="../css/style.css">
        <meta charset="utf-8"/>
    </head>
    <body class="line-numbers">
        <script src="../js/prism.min.js"></script>
        <script src="../js/three.min.js"></script>
        <script src="../js/vanta.net.min.js"></script>
        <script>
            VANTA.NET({
                el: "html",
                mouseControls: true,
                touchControls: true,
                minHeight: 200.00,
                minWidth: 200.00,
                scale: 1.00,
                scaleMobile: 1.00,
                color: 0x201c61,
                backgroundColor: 0x0,
                points: 3.00,
                maxDistance: 25.00
            })
        </script>
        <table width="100%" height="100%">
            <tbody>
                <tr>
                    <td style="vertical-align:top" align="center">
                        <!-- 
                        ---------------------------------------------------------------------------
                        HEADER
                        ---------------------------------------------------------------------------
                        -->
                        <h1>Dev</h1>
                        <br>
                        <!--
                        ▰ <a href="./home.html">Home</a>
                        -->
                        ▰ <a href="./about.html">About</a>
                        ▰ <a href="./links.html">Links</a>
                        ▰ <a href="./gallery.html">Gallery</a>
                        ▰ <a href="./her.html">Her</a>
                    </td>
                </tr>
                <tr>
                    <td align="center">
                        <table width="85%" height="100%">
                            <tbody>
                                <tr>
                                    <td style="vertical-align:middle" align="left">
                                        <!-- 
                                        ---------------------------------------------------------------------------
                                        DEV
                                        ---------------------------------------------------------------------------
                                        -->
                                        <br>
                                        <h2 id="Point_1">Development workflow:</h2>
                                        <p>Personal notes on my development workflow -- Work In Progress.</p>
                                        <h3 id="Point_1_1">▨ SSH</h3>
                                        <p>Generating Ed25519 key pair for GitLab: <pre><code class="language-bash">ssh-keygen -t ed25519 -f ~/.ssh/gitlab_com_ed25519</code></pre></p>
                                        <p>Move the Private key to a secure location: <pre><code class="language-bash">mv gitlab_com_ed25519 /backup/.keys/</code></pre></p>
                                        <p>Create the ~/.ssh/config file: <pre><code class="language-iecst">Host gitlab.com
  Preferredauthentications publickey
  IdentityFile /backup/.keys/gitlab_com_ed25519</code></pre></p>
                                        <p>SSH agent:</p>
                                        <ul>
                                            <li><p><u>Fish shell</u>: <pre><code class="language-bash">eval (ssh-agent -c)</code></pre></p></li>
                                            <li><p><u>Bash shell</u>: <pre><code class="language-bash">eval "$(ssh-agent -s)"</code></pre></p></li>
                                            <li><p><u>ZSH shell</u>: <pre><code class="language-bash">eval `ssh-agent`</code></pre></p></li>
                                        </ul>
                                        <p>Adding the Private key to SSH agent: <pre><code class="language-bash">ssh-add /backup/.keys/gitlab_com_ed25519</code></pre></p>
                                        <p>Update the Public key in GitLab (User Settings ▸ SSH Keys ▸ Paste Public key ▸ Add key) and test the connection: <pre><code class="language-bash">ssh -T git@gitlab.com</code></pre></p>
                                        <h3 id="Point_1_2">▨ GIT</h3>
                                        <ul>
                                            <li><p><u>Local</u>: <pre><code class="language-bash">git init</code></pre></p></li>
                                            <li><p><u>Remote (Clone)</u>: <pre><code class="language-bash">git clone git@gitlab.com:gitlab-org/gitlab.git</code></pre></p></li>
                                        </ul>
                                        <p><a href="https://docs.gitlab.com/ee/gitlab-basics/start-using-git.htm">https://docs.gitlab.com/ee/gitlab-basics/start-using-git.htm</a></p>
<p>

Git global setup

git config --global user.name "Antonio Godinho"
git config --global user.email "ctrlc@tutanota.com"

Create a new repository

git clone git@gitlab.com:antonio.godinho/dot-files.git
cd dot-files
touch README.md
git add README.md
git commit -m "add README"
git push -u origin master

Push an existing folder

cd existing_folder
git init
git remote add origin git@gitlab.com:antonio.godinho/dot-files.git
git add .
git commit -m "Initial commit"
git push -u origin master

Push an existing Git repository

cd existing_repo
git remote rename origin old-origin
git remote add origin git@gitlab.com:antonio.godinho/dot-files.git
git push -u origin --all
git push -u origin --tags
</p>
                                    </td>
                                    <td style="vertical-align:top" align="right">
                                        <!-- 
                                        ---------------------------------------------------------------------------
                                        TOC
                                        ---------------------------------------------------------------------------
                                        -->
                                        <div id="toc_container">
                                            <p class="toc_title">Contents:</p>
                                            <ol class="toc_list">
                                                <li><a href="#Point_1">Development workflow</a>
                                                    <ol>
                                                        <li><a href="#Point_1_1">SSH</a></li>
                                                        <li><a href="#Point_1_2">GIT</a></li>
                                                    </ol>
                                                </li>
                                            </ol>
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td style="vertical-align:bottom" align="center">
                        <!-- 
                        ---------------------------------------------------------------------------
                        FOOTER
                        ---------------------------------------------------------------------------
                        -->
                        <br>
                        <h3>This page was last updated on the 07th June 2020</h3>
                        <a href="#top">▵ Jump to top ▵</a>
                    </td>
                </tr>
            </tbody>
        </table>
    </body>
</html>
